Graph::Easy::As_graphviz(3)

NAME
Graph::Easy::As_graphviz - Generate graphviz description from graph object

SYNOPSIS
        use Graph::Easy;

        my $graph = Graph::Easy->new();

        my $bonn = Graph::Easy::Node->new(
                name => 'Bonn',
        );
        my $berlin = Graph::Easy::Node->new(
                name => 'Berlin',
        );

        $graph->add_edge ($bonn, $berlin);

        print $graph->as_graphviz();

        # prints something like:

        # digraph NAME { Bonn -> Berlin }

DESCRIPTION
"Graph::Easy::As_graphviz" contains just the code for converting a Graph::Easy object to a textual description suitable for feeding it to Graphviz programs like "dot".

EXPORT
Exports nothing.

SEE ALSO
Graph::Easy, Graph::Easy::Parser::Graphviz.

AUTHOR
Copyright (C) 2004 - 2008 by Tels <http://bloodgate.com>

See the LICENSE file for information.